# eoAtomExchange< Atom > Class Template Reference

A helper class for choosing which genes to exchange. More...

`#include <eoVariableLengthCrossover.h>`

Inheritance diagram for eoAtomExchange< Atom >:

List of all members.

## Public Member Functions

virtual void | randomize (unsigned int, unsigned int)
| a function to initlialize - to be called before every crossover
virtual std::string | className () const =0
| the inherited className()

## Detailed Description

### template<class Atom>
class eoAtomExchange< Atom >

A helper class for choosing which genes to exchange.

Definition at line 41 of file eoVariableLengthCrossover.h.

The documentation for this class was generated from the following file:

- eoVariableLengthCrossover.h